Debian Bug report logs - #599496
linux-2.6: cannot kill process hung on syscall

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Fri, 8 Oct 2010 03:27:04 UTC

Severity: normal

Tags: moreinfo

Found in version 2.6.32-22

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599496; Package linux-2.6. (Fri, 08 Oct 2010 03:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 08 Oct 2010 03:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: cannot kill process hung on syscall
Date: Fri, 8 Oct 2010 03:25:03 +0000
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.32-22
Severity: normal

Recently, I've had a problem with tasks that apparently get hung on a
syscall.  For example:

  Oct  8 02:57:54 lakeview kernel: [84840.484280] INFO: task Xorg:4560 blocked for more than 120 seconds.

When this occurs, even "sudo kill -9 4560" does not work.  The kernel
should properly and immediately terminate processes receiving a SIGKILL
as root, even (especially) if that process is hung on a syscall.  The
inability to do this means that the machine becomes unusable when Xorg
hangs.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599496; Package linux-2.6. (Fri, 08 Oct 2010 03:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 08 Oct 2010 03:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 599496@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "brian m. carlson" <sandals@crustytoothpaste.net>, 599496@bugs.debian.org
Subject: Re: Bug#599496: linux-2.6: cannot kill process hung on syscall
Date: Fri, 08 Oct 2010 04:49:25 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-10-08 at 03:25 +0000, brian m. carlson wrote:
> Package: linux-2.6
> Version: 2.6.32-22
> Severity: normal
> 
> Recently, I've had a problem with tasks that apparently get hung on a
> syscall.  For example:
> 
>   Oct  8 02:57:54 lakeview kernel: [84840.484280] INFO: task Xorg:4560 blocked for more than 120 seconds.
> 
> When this occurs, even "sudo kill -9 4560" does not work.  The kernel
> should properly and immediately terminate processes receiving a SIGKILL
> as root, even (especially) if that process is hung on a syscall.

In general, this can leave kernel structures in an invalid state.  This
is not a desirable result and so fatal signals do not work that way.
There are variants of sleeping and locking functions that return
immediately on receipt of a fatal signal, and it is desirable that these
are used in the implementation of system calls.  However, the
implementations of system calls include parts of every file system,
driver and network protocol in the system.  There is no central place
where such changes could be made.

> The
> inability to do this means that the machine becomes unusable when Xorg
> hangs.

Would you care to provide more information about the context in which
this happens?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 08 Oct 2010 03:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599496; Package linux-2.6. (Sat, 16 Oct 2010 14:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Oct 2010 14:33:08 GMT) Full text and rfc822 format available.

Message #17 received at 599496@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: 599351@bugs.debian.org, 599496@bugs.debian.org
Subject: Caused by libdrm
Date: Sat, 16 Oct 2010 14:31:46 +0000
[Message part 1 (text/plain, inline)]
I've done some testing on these bugs.  After 599351, I moved back to
Linux 2.6.32-5-amd64, at which time I filed 599496 (because a very
similar problem occurred).  I had installed libdrm{2,-intel1}
2.4.22~pre(something) and reverting back to 2.4.21-1~squeeze3 fixed the
problem.

I need to do some more testing to see if 2.4.22-1 will work properly,
and also whether 599351 disappears on 2.6.36-rc5 with the older libdrm
(or 2.4.22-1).  Regardless of the results, neither of these bugs should
be closed, since the kernel should not allow processes to hang on syscalls
regardless of the data passed.  Cloning 599351 to libdrm would be fine
with me.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Fri, 05 Jul 2013 18:16:51 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Fri, 05 Jul 2013 18:16:51 GMT) Full text and rfc822 format available.

Message #22 received at 599496-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 597209-done@bugs.debian.org, 599030-done@bugs.debian.org, 599496-done@bugs.debian.org, 600021-done@bugs.debian.org, 604776-done@bugs.debian.org, 637284-done@bugs.debian.org, 601198-done@bugs.debian.org, 601322-done@bugs.debian.org
Subject: Closing
Date: Fri, 5 Jul 2013 20:15:30 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Aug 2013 07:40:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:59:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.